Name:           qtgpsc
Version:        0.2.3
Release:        2%{?dist}
Summary:        A client for the gpsd GPS server

Group:          Applications/Engineering
License:        BSD
URL:            http://www.navlost.eu/survey/gpsd/
Source0:        http://www.navlost.eu/survey/gpsd/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt3-devel
BuildRequires:  libstdc++-devel
BuildRequires:  gpsd-devel

BuildRequires:  desktop-file-utils

%description
qtGPSc connects to a GPS receiver via gpsd and displays position, speed,
and time, as well as various precision indicators and satellite configuration.
It can also show the raw GPS data in GPSD or NMEA format.


%prep
%setup -q


%build
qmake
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
rm -rf .ui/ && rm -rf .obj/ && rm -rf .moc
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
install -Dp -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed Jan 28 2009 Fabian Affolter <fabian@bernewireless.net> - 0.2.3-2
- License is BSD
- Fixed source URL
- Fixed .desktop file and added icon

* Tue Dec 30 2008 Fabian Affolter <fabian@bernewireless.net> - 0.2.3-1
- Initial package for Fedora
